<?php

function dptvo_filter_available_variation_attributes( $data, $product, $variation ){
    
	$attribute_names = 'all';

    foreach( $data['attributes'] as $attribute => $term_slug ) {
        $taxonomy       = str_replace('attribute_', '', $attribute);
        $attribute_name = wc_attribute_label($taxonomy);
        
        if ( ( is_array($attribute_names) && in_array($attribute_name, $attribute_names) ) || $attribute_names === 'all' ) {
            $data['for_title'][$attribute_name] = get_term_by( 'slug', $term_slug, $taxonomy )->name;
        }
    }
    return $data;
}

add_filter( 'woocommerce_available_variation', 'dptvo_filter_available_variation_attributes', 10, 3 );

function dptvo_add_variation_attribute_on_product_title(){
    
	$separator = ' - ';
	
    ?>
    <script type="text/javascript">
    (function($){
        var name = '<?php global $product; echo $product->get_name(); ?>';

        $('form.cart').on('show_variation', function(event, data) {
            var text = '';

            $.each( data.for_title, function( key, value ) {
                text += '<?php echo $separator; ?>' + value;
            });

            $('.product_title').text( name + text );

        }).on('hide_variation', function(event, data) {
            $('.product_title').text( name );
        });
    })(jQuery);
    </script>
    <?php
	
}

add_action( 'woocommerce_after_variations_form', 'dptvo_add_variation_attribute_on_product_title' );