<?php

// Plugin Name: Dynamic Product Titles for Variant Options
// Plugin URI: https://wordpress.org/plugins/dynamic-product-titles-for-variant-options
// Description: Dynamically change a variant product title on the product page to show the selected variant option name at the end of the default title.
// Author: Umbrella Trading Limited
// Author URI: http://www.umbrellatrading.co.uk
// Version: 1.0.1

// 	Copyright: © 2021 Umbrella Trading Limited (email : network@umbrellatrading.co.uk)
// 	License: GNU General Public License v3.0
// 	License URI: http://www.gnu.org/licenses/gpl-3.0.html

if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	
	if ( ! class_exists( 'UmbrellaTrading_DPTVO' ) ) {
		
		load_plugin_textdomain( 'umbrellatrading_dptvo', false, dirname( plugin_basename( __FILE__ ) ) . '/' );

		class UmbrellaTrading_DPTVO {
			
			public function __construct() {

				add_action( 'init', array( &$this, 'include_template_functions' ), 20 );
    
			}
			
			public function include_template_functions() {
				
				include( 'dynamic-product-titles-for-variant-options-functions.php' );
			}
		}

		$GLOBALS['umbrellatrading_dptvo'] = new UmbrellaTrading_DPTVO();
	}
}